Bug 1006173 (CVE-2013-4296)

Summary: CVE-2013-4296 libvirt: invalid free in remoteDispatchDomainMemoryStats
Product: [Other] Security Response Reporter: Petr Matousek <pmatouse>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: acathrow, berrange, dallan, eblake, jdenemar, jkurik, pfrields, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130918,reported=20130903,source=upstream,cvss2=2.9/AV:A/AC:M/Au:N/C:N/I:N/A:P,rhel-5/libvirt=notaffected,rhel-6/libvirt=affected,fedora-all/libvirt=affected,rhel-7/libvirt=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-12-12 16:35:45 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1006174, 1006175, 1006176, 1009667    
Bug Blocks: 1006179, 1006244    

Description Petr Matousek 2013-09-10 03:16:49 EDT
The 'stats' variable in remoteDispatchDomainMemoryStats function was not initialized to NULL, so if some early validation of the RPC call fails, it is possible to jump to the 'cleanup' label and VIR_FREE an uninitialized pointer.

A remote user able to issue commands to libvirt daemon could use this flaw to crash libvirtd.

Acknowledgements:

This issue was discovered by Daniel P. Berrange of Red Hat.
Comment 6 Petr Matousek 2013-09-18 16:07:50 EDT
Created libvirt tracking bugs for this issue:

Affects: fedora-all [bug 1009667]
Comment 7 errata-xmlrpc 2013-09-19 14:08:58 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1272 https://rhn.redhat.com/errata/RHSA-2013-1272.html
Comment 8 Fedora Update System 2013-09-30 22:14:33 EDT
libvirt-0.10.2.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-10-02 02:40:39 EDT
libvirt-1.0.5.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-10-12 00:33:45 EDT
libvirt-1.1.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.